BOM
Create Version
POST
/
bom
/
{bom_id}
/
versions
Create Version
curl --request POST \
--url https://vinmake-erp.onrender.com/bom/{bom_id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changeDescription": "New version",
"createdById": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/bom/{bom_id}/versions"
payload = {
"changeDescription": "New version",
"createdById": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({changeDescription: 'New version', createdById: '<string>'})
};
fetch('https://vinmake-erp.onrender.com/bom/{bom_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"documentId": "<string>",
"versionNumber": 123,
"changeDescription": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"status": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"submittedById": "<string>",
"approvedById": "<string>",
"rejectionReason": "<string>",
"isFinal": false,
"finalizedAt": "2023-11-07T05:31:56Z",
"finalizedById": "<string>",
"lineItems": [
{
"id": "<string>",
"billOfMaterialVersionId": "<string>",
"grossConsumption": 123,
"sellingTolerance": 123,
"netSellingConsumption": 123,
"buyingTolerance": 123,
"netBuyingConsumption": 123,
"materialCostInNativeCurrency": 123,
"nativeCurrency": "<string>",
"materialCostInUsd": 123,
"estimatedMaterialPreparationLeadTime": 123,
"assignedMaterialOptions": [
{}
],
"chosenAssignedMaterialId": "<string>",
"chosenAssignedSkuId": "<string>",
"category": "Uncategorized",
"description": "<string>",
"unit": "pc"
}
],
"groupedLineItems": [
{
"category": "<string>",
"items": [
{
"id": "<string>",
"billOfMaterialVersionId": "<string>",
"grossConsumption": 123,
"sellingTolerance": 123,
"netSellingConsumption": 123,
"buyingTolerance": 123,
"netBuyingConsumption": 123,
"materialCostInNativeCurrency": 123,
"nativeCurrency": "<string>",
"materialCostInUsd": 123,
"estimatedMaterialPreparationLeadTime": 123,
"assignedMaterialOptions": [
{}
],
"chosenAssignedMaterialId": "<string>",
"chosenAssignedSkuId": "<string>",
"category": "Uncategorized",
"description": "<string>",
"unit": "pc"
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create Version
